com.aventstack.extentreports.model

## Class Media

- java.lang.Object
- - com.aventstack.extentreports.model.Media

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ScreenCapture, Screencast

      public class Media
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Media()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBase64String()`
    `protected String` | `getDescription()`
    `org.bson.types.ObjectId` | `getLogObjectId()`
    `MediaType` | `getMediaType()`
    `String` | `getName()`
    `org.bson.types.ObjectId` | `getObjectId()`
    `String` | `getPath()`
    `org.bson.types.ObjectId` | `getReportObjectId()`
    `int` | `getSequence()`
    `org.bson.types.ObjectId` | `getTestObjectId()`
    `void` | `setBase64String(String string)`
    `protected void` | `setDescription(String description)`
    `void` | `setLogObjectId(org.bson.types.ObjectId logId)`
    `void` | `setMediaType(MediaType mediaType)`
    `void` | `setName(String name)`
    `void` | `setObjectId(org.bson.types.ObjectId id)`
    `void` | `setPath(String path)`
    `void` | `setReportObjectId(org.bson.types.ObjectId reportId)`
    `void` | `setSequence(int seq)`
    `void` | `setTestObjectId(org.bson.types.ObjectId testId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Media

          public Media()

  - ### Method Detail

    - #### setObjectId

          public void setObjectId(org.bson.types.ObjectId id)

    - #### getObjectId

          public org.bson.types.ObjectId getObjectId()

    - #### setReportObjectId

          public void setReportObjectId(org.bson.types.ObjectId reportId)

    - #### getReportObjectId

          public org.bson.types.ObjectId getReportObjectId()

    - #### setTestObjectId

          public void setTestObjectId(org.bson.types.ObjectId testId)

    - #### getTestObjectId

          public org.bson.types.ObjectId getTestObjectId()

    - #### setLogObjectId

          public void setLogObjectId(org.bson.types.ObjectId logId)

    - #### getLogObjectId

          public org.bson.types.ObjectId getLogObjectId()

    - #### setName

          public void setName(String name)

    - #### getName

          public String getName()

    - #### setDescription

          protected void setDescription(String description)

    - #### getDescription

          protected String getDescription()

    - #### setPath

          public void setPath(String path)

    - #### getPath

          public String getPath()

    - #### setMediaType

          public void setMediaType(MediaType mediaType)

    - #### getMediaType

          public MediaType getMediaType()

    - #### setSequence

          public void setSequence(int seq)

    - #### getSequence

          public int getSequence()

    - #### setBase64String

          public void setBase64String(String string)

    - #### getBase64String

          public String getBase64String()

Copyright © 2018. All rights reserved.